Bug 982129 - [TW] mutt-1.6.1 unusable when built with --enable-sidebar
[TW] mutt-1.6.1 unusable when built with --enable-sidebar
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: Dr. Werner Fink
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-28 16:19 UTC by Manfred Hollstein
Modified: 2019-05-09 10:11 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
core dump from running the mutt version in question using "mutt -F ~/.muttrc.edited" (214.38 KB, application/x-xz)
2016-06-01 12:44 UTC, Manfred Hollstein
Details
New core dump (214.32 KB, application/x-xz)
2016-06-01 14:38 UTC, Manfred Hollstein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred Hollstein 2016-05-28 16:19:42 UTC
New messages detection does not work in the current version of mutt on openSUSE Tumbleweed. As a long time mutt user I'm used to shuffle through the list of folders containing new/unread messages using the 'c' followed by 'space' key sequence. I narrowed it down to the configure option "--enable-sidebar", which enables some pseudo graphical functionality for - I guess - mutt newbies. Rebuilding the otherwise unchanged package with "--disable-sidebar" produces a normally working mutt again.

I strongly recommend to disable this code until it gets fixed. Thx.
Comment 1 Dr. Werner Fink 2016-05-30 08:21:18 UTC
What is about using

   set sidebar_visible=no

within your personal ~/muttrc ... tat is I'll never diable this patch as otherwise other bug report will pop up fronm user which insist on sidebar patch.
Comment 2 Dr. Werner Fink 2016-05-30 08:30:06 UTC
This seems to be a problem with the sidebar patch from NeoMutt.org as with the origianl sidebar patch plus my fixes I had never such a report.
Comment 3 Manfred Hollstein 2016-05-30 11:01:33 UTC
Enabling or disabling the sidebar's visibility doesn't change the behaviour; BTW, it's not enable by default anyway.
Comment 4 Dr. Werner Fink 2016-05-31 13:07:57 UTC
Now I've added a workaround which takes into affect if sidebar is disabled (SR#399134)
Comment 5 Bernhard Wiedemann 2016-05-31 14:00:29 UTC
This is an autogenerated message for OBS integration:
This bug (982129) was mentioned in
https://build.opensuse.org/request/show/399134 Factory / mutt
Comment 6 Bernhard Wiedemann 2016-06-01 12:01:45 UTC
This is an autogenerated message for OBS integration:
This bug (982129) was mentioned in
https://build.opensuse.org/request/show/399465 Factory / mutt
Comment 7 Manfred Hollstein 2016-06-01 12:41:54 UTC
The version from <http://download.opensuse.org/repositories/server:/mail/openSUSE_Tumbleweed/x86_64/mutt-1.6.1-136.1.x86_64.rpm> segfaults here, so I guess this is not yet resolved. I'll upload my ~/.muttrc.edited and the resulting core file from running "mutt -F ~/.muttrc.edited" in a minute.
Comment 8 Manfred Hollstein 2016-06-01 12:44:05 UTC
Created attachment 679083 [details]
core dump from running the mutt version in question using "mutt -F ~/.muttrc.edited"
Comment 9 Dr. Werner Fink 2016-06-01 12:46:43 UTC
(In reply to Manfred Hollstein from comment #7)

Try the latest version mutt-1.6.1-137.1.x86_64.rpm
... guess this is fixed
Comment 10 Dr. Werner Fink 2016-06-01 13:11:17 UTC
(In reply to Manfred Hollstein from comment #8)

Seems to be fixed, I only see

/suse/werner/Mail/manfred@hollstein.homelinux.org/Inbox: No such file or directory (errno = 2)

in the status line of mutt, that is all.
Comment 11 Manfred Hollstein 2016-06-01 14:38:24 UTC
Created attachment 679104 [details]
New core dump

The latest version "mutt-1.6.1-137.1.x86_64" still crashes here.
Comment 12 Manfred Hollstein 2016-06-01 14:53:17 UTC
Here's a transcript of running gdb on the 137 version:

[manfred@saturn (0) ~]$ gdb /usr/bin/mutt
GNU gdb (GDB; openSUSE Tumbleweed) 7.11
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/mutt...Reading symbols from /usr/lib/debug/usr/bin/mutt.debug...done.
done.
(gdb) r -F /home/manfred/.muttrc.edited 
Starting program: /usr/bin/mutt -F /home/manfred/.muttrc.edited
Missing separate debuginfos, use: zypper install glibc-debuginfo-2.23-3.1.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0x00005555555a2363 in mutt_label_ref_dec (env=<optimized out>) at headers.c:227
227         count = (uintptr_t)hash_find(Labels, label->data);
Missing separate debuginfos, use: zypper install glibc-locale-debuginfo-2.23-3.1.x86_64 krb5-debuginfo-1.14.2-1.2.x86_64 libassuan0-debuginfo-2.4.2-1.2.x86_64 libcom_err2-debuginfo-1.42.13-3.4.x86_64 libffi4-debuginfo-5.3.1+r234891-1.20.x86_64 libgcc_s1-debuginfo-5.3.1+r234891-1.20.x86_64 libgdbm4-debuginfo-1.12-1.1.x86_64 libgio-2_0-0-debuginfo-2.48.1-1.1.x86_64 libglib-2_0-0-debuginfo-2.48.1-1.1.x86_64 libgmime-2_6-0-debuginfo-2.6.20-4.4.x86_64 libgmodule-2_0-0-debuginfo-2.48.1-1.1.x86_64 libgobject-2_0-0-debuginfo-2.48.1-1.1.x86_64 libgpg-error0-debuginfo-1.22-1.1.x86_64 libgpgme11-debuginfo-1.6.0-2.3.x86_64 libidn11-debuginfo-1.32-1.4.x86_64 libkeyutils1-debuginfo-1.5.9-5.5.x86_64 libncurses5-debuginfo-6.0-9.1.x86_64 libnotmuch4-debuginfo-0.20.2-1.4.x86_64 libopenssl1_0_0-debuginfo-1.0.2h-1.2.x86_64 libpcre1-debuginfo-8.38-1.55.x86_64 libsasl2-3-debuginfo-2.1.26-12.2.x86_64 libselinux1-debuginfo-2.3-5.81.x86_64 libstdc++6-debuginfo-5.3.1+r234891-1.20.x86_64 libtalloc2-debuginfo-2.1.6-1.2.x86_64 libuuid1-debuginfo-2.28-1.44.x86_64 libxapian22-debuginfo-1.2.23-1.2.x86_64 libz1-debuginfo-1.2.8-11.58.x86_64
(gdb) bt
#0  0x00005555555a2363 in mutt_label_ref_dec (env=<optimized out>) at headers.c:227
#1  0x00005555555e0f06 in mutt_free_envelope (p=p@entry=0x7fffffff5f38) at muttlib.c:744
#2  0x0000555555575ee3 in test_last_status_new (f=0x555555955dd0) at buffy.c:121
#3  test_new_folder (path=<optimized out>) at buffy.c:140
#4  mutt_parse_mailboxes (path=0x7fffffff9200, s=0x7fffffff9140, data=1, err=<optimized out>)
    at buffy.c:313
#5  0x0000555555596c38 in mutt_parse_rc_line (line=<optimized out>, 
    token=token@entry=0x7fffffff9200, err=err@entry=0x7fffffff9260) at init.c:2481
#6  0x0000555555596dcd in mutt_parse_rc_line (err=0x7fffffff9260, token=0x7fffffff9200, 
    line=<optimized out>) at init.c:2457
#7  source_rc (rcfile=0x55555587db30 "/home/manfred/.muttrc.edited", 
    err=err@entry=0x7fffffff9260) at init.c:2389
#8  0x0000555555599f9b in mutt_init (skip_sys_rc=0, commands=0x0) at init.c:3467
#9  0x000055555556cc8c in main (argc=1, argv=0x7fffffffd908) at main.c:423
(gdb) l
222
223       for (label = env->labels; label; label = label->next)
224       {
225         if (label->data == NULL)
226           continue;
227         count = (uintptr_t)hash_find(Labels, label->data);
228         if (count)
229         {
230           hash_delete(Labels, label->data, NULL, NULL);
231           count--;
(gdb) p label
$1 = (LIST *) 0x5555559533b0
(gdb) p label->data
$2 = 0x555555953430 "rhel_extras"
(gdb) p Labels
$3 = (HASH *) 0x0
(gdb) p count
$4 = <optimized out>

Hmm, a "rhel" caused crash here... ;)
Comment 13 Dr. Werner Fink 2016-06-02 07:08:10 UTC
(In reply to Manfred Hollstein from comment #12)

Thanks for debugging.  The main problem seems that with the keywords.patch there are two new functions mutt_label_ref_dec() and mutt_label_ref_inc() in which there is not checked if the used hash pointer `Labels' is initialized.

https://github.com/neomutt/neomutt/issues/40

Just submitted a fixed version to server:mail/mutt and build has finished with

  mutt-1.6.1-138.1.x86_64.rpm
  mutt-debuginfo-1.6.1-138.1.x86_64.rpm
  mutt-debugsource-1.6.1-138.1.x86_64.rpm

Please test out, thanks a lot!
Comment 14 Manfred Hollstein 2016-06-02 08:36:14 UTC
Thanks for this release, I just successfully tested!
Comment 15 Dr. Werner Fink 2016-06-02 09:04:11 UTC
Thanks, just submitted SR#399631
Comment 16 Bernhard Wiedemann 2016-06-02 10:00:44 UTC
This is an autogenerated message for OBS integration:
This bug (982129) was mentioned in
https://build.opensuse.org/request/show/399631 Factory / mutt
Comment 18 Swamp Workflow Management 2018-07-27 16:33:55 UTC
SUSE-SU-2018:2084-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.3.1
Comment 19 Swamp Workflow Management 2019-01-17 17:13:48 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 20 Swamp Workflow Management 2019-05-09 10:11:33 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.